Subject: Re: [PATCH v6 0/4] Maintenance IV: Platform-specific background maintenance

From: Junio C Hamano <[email-masked]>
Date: Wed, 09 Dec 2020 16:32:58 -0800

"Derrick Stolee via GitGitGadget" <[email-masked]> writes:

> This is based on ds/maintenance-part-3.
>
> After sitting with the background maintenance as it has been cooking, I
> wanted to come back around and implement the background maintenance for
> Windows. However, I noticed that there were some things bothering me with
> background maintenance on my macOS machine. These are detailed in PATCH 3,
> but the tl;dr is that 'cron' is not recommended by Apple and instead
> 'launchd' satisfies our needs.
>
> This series implements the background scheduling so git maintenance
> (start|stop) works on those platforms. I've been operating with these
> schedules for a while now without the problems described in the patches.
>
> There is a particularly annoying case about console windows popping up on
> Windows, but PATCH 4 describes a plan to get around that.
>
>
> Update in V6
> ============
>
>  * The Windows platform uses the tempfile API a bit better, including using
>    the frequency in the filename to make the test simpler.

Are two fix-up patches from Eric that have been queued near the top
of ds/maintenance-part-4 still relevant?  

At least, the "when invoked individually" patch that added an "-f"
option to two invocations of "rm" is still applicable, I would
think (I didn't look at the other one).

commit e3801c41e4d4cb1dd899942e04ab78310e781d07
Author: Eric Sunshine <[email-masked]>

    t7900: make macOS-specific test work on Windows

Notes (amlog):
    Message-Id: <[email-masked]>

commit 1e5ddd79e2da18ee19b665a045d4187c5dc6234e
Author: Eric Sunshine <[email-masked]>

    t7900: fix test failures when invoked individually via --run

Notes (amlog):
    Message-Id: <[email-masked]>